org.eclipse.jetty.http

## Class HttpParser.EventHandler

- java.lang.Object
- - org.eclipse.jetty.http.HttpParser.EventHandler

- Enclosing class:
    HttpParser

      public abstract static class HttpParser.EventHandler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpParser.EventHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `content(Buffer ref)`
    `void` | `earlyEOF()`
    `void` | `headerComplete()`
    `void` | `messageComplete(long contentLength)`
    `void` | `parsedHeader(Buffer name, Buffer value)` This is the method called by parser when a HTTP Header name and value is found
    `abstract void` | `startRequest(Buffer method, Buffer url, Buffer version)` This is the method called by parser when the HTTP request line is parsed
    `abstract void` | `startResponse(Buffer version, int status, Buffer reason)` This is the method called by parser when the HTTP request line is parsed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpParser.EventHandler

          public HttpParser.EventHandler()

  - ### Method Detail

    - #### content

          public abstract void content(Buffer ref)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### headerComplete

          public void headerComplete()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### messageComplete

          public void messageComplete(long contentLength)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parsedHeader

          public void parsedHeader(Buffer name,
                          Buffer value)
                            throws java.io.IOException

      This is the method called by parser when a HTTP Header name and value is found
      Throws:
        `java.io.IOException`

    - #### startRequest

          public abstract void startRequest(Buffer method,
                          Buffer url,
                          Buffer version)
                                     throws java.io.IOException

      This is the method called by parser when the HTTP request line is parsed
      Throws:
        `java.io.IOException`

    - #### startResponse

          public abstract void startResponse(Buffer version,
                           int status,
                           Buffer reason)
                                      throws java.io.IOException

      This is the method called by parser when the HTTP request line is parsed
      Throws:
        `java.io.IOException`

    - #### earlyEOF

          public void earlyEOF()

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.